DaemonForums  

Go Back   DaemonForums > OpenBSD > OpenBSD Packages and Ports

OpenBSD Packages and Ports Installation and upgrading of packages and ports on OpenBSD.

 
 
Thread Tools Display Modes
Prev Previous Post   Next Post Next
  #1   (View Single Post)  
Old 8th May 2008
DrKrall DrKrall is offline
New User
 
Join Date: May 2008
Location: Luleå - Sweden
Posts: 9
Thanked 0 Times in 0 Posts
Question Problem installing PHP5

I've been migrating to OpenBSD from FreeBSD and have some problems installing PHP5. I got Apache installed (the version that came with OpenBSD 4.3 release base install) and when i'm trying to install PHP5 i get following error(s).

Code:
# make configure
===> www/php5/core
===>  php5-core-5.2.5p3 depends on: libxml-* - not found
===>  Verifying install for libxml-* in textproc/libxml
===>  Checking files for libxml2-2.6.32
`/usr/ports/distfiles/libxml2-2.6.32.tar.gz' is up to date.
>> (SHA256) libxml2-2.6.32.tar.gz: OK
===>  libxml-2.6.32 depends on: python-2.5* - not found
===>  Verifying install for python-2.5* in lang/python/2.5
===>  python-2.5.2p0 uses X11, but /usr/X11R6 not found.
===> Returning to build of libxml-2.6.32
===>  libxml-2.6.32 depends on: python-2.5* - not found
===>  Verifying install for python-2.5* in lang/python/2.5
===>  python-2.5.2p0 uses X11, but /usr/X11R6 not found.
===> Returning to build of libxml-2.6.32
Dependency check failed
*** Error code 1

Stop in /usr/ports/textproc/libxml (line 1556 of /usr/ports/infrastructure/mk/bsd.port.mk).
*** Error code 1

Stop in /usr/ports/textproc/libxml (line 1927 of /usr/ports/infrastructure/mk/bsd.port.mk).
*** Error code 1

Stop in /usr/ports/textproc/libxml (line 1398 of /usr/ports/infrastructure/mk/bsd.port.mk).
*** Error code 1

Stop in /usr/ports/textproc/libxml (line 1896 of /usr/ports/infrastructure/mk/bsd.port.mk).
*** Error code 1

Stop in /usr/ports/textproc/libxml (line 1428 of /usr/ports/infrastructure/mk/bsd.port.mk).
*** Error code 1

Stop in /usr/ports/www/php5/core (line 1556 of /usr/ports/infrastructure/mk/bsd.port.mk).
===> Exiting www/php5/core with an error
*** Error code 1

Stop in /usr/ports/www/php5 (line 124 of /usr/ports/infrastructure/mk/bsd.port.subdir.mk).
It seems to me that it's Python complains that X11 isn't installed and mess things up. It's going to be a web- & mailserver and i really don't want or need X11 on it. Anyone have any ideas?
Reply With Quote
 

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Problem with latest php5 from ports clevershark FreeBSD Ports and Packages 1 22nd July 2009 07:38 PM
Problem Installing From External DVD Drive jimnms OpenBSD Installation and Upgrading 8 16th July 2009 07:12 PM
Problem with installing FreeBSD 7.0 Stable likemandrake FreeBSD General 2 5th October 2008 08:16 AM
Problem with upgrading php5-pcre and php5-mysql KernelPanic FreeBSD Ports and Packages 6 16th June 2008 10:00 PM
openbsd4.3 - problem compile php5 blackyzero OpenBSD General 3 27th May 2008 06:24 PM


All times are GMT. The time now is 11:29 AM.


Powered by vBulletin® Version 3.8.4
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content copyright © 2007-2010, the authors
Daemon image copyright ©1988, Marshall Kirk McKusick